Bug 1312820 - Lots of WARNING: unable to delete selinux filesystems
Lots of WARNING: unable to delete selinux filesystems
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
23
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Regression, Reopened
: 1312955 1314242 1314353 1314813 1315703 1321788 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 05:28 EST by Jonathan Underwood
Modified: 2016-12-20 14:06 EST (History)
26 users (show)

See Also:
Fixed In Version: mock-1.2.17-1.fc22 mock-1.2.17-1.fc24 mock-1.2.17-1.el6 mock-1.2.17-1.el7 mock-1.2.17-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:06:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2016-02-29 05:28:42 EST
Description of problem:
Currently when using mock, I am getting lots of messages like:

WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.148exidl): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.148exidl'

Version-Release number of selected component (if applicable):
mock-1.2.15-1.fc23.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Build a package with mock (using rawhide repos)
Comment 1 Paul Howarth 2016-02-29 06:59:19 EST
I get this for all mock builds, and a file left in /tmp for each build.
Comment 2 Kamil Dudka 2016-03-03 04:03:31 EST
*** Bug 1312955 has been marked as a duplicate of this bug. ***
Comment 3 Kamil Dudka 2016-03-03 04:05:28 EST
This is a regression.  It should have been fixed per bug #1002142.
Comment 4 Ralf Corsepius 2016-03-03 04:40:42 EST
Please note the files left in /tmp are owned by root and therefore can not be deleted by ordinary users!
Comment 5 Miroslav Suchý 2016-03-04 05:31:56 EST
Hopefully fixed by:
  * 9fdf5c4 (HEAD -> devel, origin/devel) become root user correct way [RHBZ#1312820][RHBZ#1311796]
I'm still getting some error with --old-chroot, but it may be that I'm just hitting another bug.
I will continue with this one.
Comment 6 Miroslav Suchý 2016-03-04 05:33:18 EST
*** Bug 1314242 has been marked as a duplicate of this bug. ***
Comment 7 Miroslav Suchý 2016-03-04 05:33:22 EST
*** Bug 1314353 has been marked as a duplicate of this bug. ***
Comment 8 Alec Leamas 2016-03-06 09:56:26 EST
*** Bug 1314813 has been marked as a duplicate of this bug. ***
Comment 9 Jonathan Underwood 2016-03-06 10:06:14 EST
Thanks Miroslav. Can you push an updated package with that change for testing?
Comment 10 Miroslav Suchý 2016-03-08 15:30:14 EST
*** Bug 1315703 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2016-03-08 15:53:27 EST
mock-1.2.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66229b4649
Comment 12 Fedora Update System 2016-03-08 15:53:53 EST
mock-1.2.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3405d4e45b
Comment 13 Fedora Update System 2016-03-08 15:54:26 EST
mock-1.2.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9958aa8eb
Comment 14 Fedora Update System 2016-03-08 15:54:44 EST
mock-1.2.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbb4bfc16f
Comment 15 Fedora Update System 2016-03-08 15:55:02 EST
mock-1.2.16-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25ff2f1000
Comment 16 Fedora Update System 2016-03-09 16:23:36 EST
mock-1.2.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66229b4649
Comment 17 Fedora Update System 2016-03-09 17:55:35 EST
mock-1.2.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9958aa8eb
Comment 18 Fedora Update System 2016-03-09 18:18:34 EST
mock-1.2.16-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25ff2f1000
Comment 19 Fedora Update System 2016-03-09 18:21:05 EST
mock-1.2.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3405d4e45b
Comment 20 Fedora Update System 2016-03-09 20:56:54 EST
mock-1.2.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbb4bfc16f
Comment 21 Fedora Update System 2016-03-11 04:08:27 EST
mock-1.2.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbb4bfc16f
Comment 22 Fedora Update System 2016-03-11 04:17:26 EST
mock-1.2.17-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66229b4649
Comment 23 Fedora Update System 2016-03-11 14:27:56 EST
mock-1.2.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbb4bfc16f
Comment 24 Fedora Update System 2016-03-12 11:54:30 EST
mock-1.2.17-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66229b4649
Comment 25 Fedora Update System 2016-03-15 15:06:03 EDT
mock-1.2.17-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23c93722c3
Comment 26 Fedora Update System 2016-03-15 15:06:38 EDT
mock-1.2.17-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d4770f601d
Comment 27 Fedora Update System 2016-03-15 22:20:33 EDT
mock-1.2.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d4770f601d
Comment 28 Fedora Update System 2016-03-15 22:50:51 EDT
mock-1.2.17-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23c93722c3
Comment 29 Fedora Update System 2016-03-20 16:21:20 EDT
mock-1.2.17-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-03-26 14:18:04 EDT
mock-1.2.17-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Michael Hampton 2016-03-26 22:15:44 EDT
Was the F23 build for this update missed? I cannot find it in updates-testing or bodhi, but there does seem to be a koji build for it.
Comment 32 Akemi Yagi 2016-03-27 23:41:44 EDT
Right, please publish the patched version for F23.
Comment 33 Fedora Update System 2016-03-28 10:54:35 EDT
mock-1.2.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9958aa8eb
Comment 34 Fedora Update System 2016-03-28 16:49:54 EDT
mock-1.2.17-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9958aa8eb
Comment 35 Miroslav Suchý 2016-03-29 05:15:56 EDT
*** Bug 1321788 has been marked as a duplicate of this bug. ***
Comment 36 Fedora Update System 2016-03-30 21:53:23 EDT
mock-1.2.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2016-03-31 01:28:45 EDT
mock-1.2.17-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2016-04-02 00:21:05 EDT
mock-1.2.17-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 39 Tomáš Nechutný 2016-04-17 12:17:59 EDT
Hello, I'm still getting this error in Fedora 23. This error most probably occurs only when an actual error happens in the mock. I managed to successfully build packages before but when I made some mistakes, this error hides the real error. Current mistake is probably that I only have a spec file in the git repo with no sources. I can't tell because of this error. Textbook example on Fedora wiki works fine.

myconfig.cfg is copied /etc/mock/fedora-23-x86_64.cfg with MockSCM options added.


[tn@localhost 1 ~/tmp/mock-scm]
$ rpm -q mock mock-scm
mock-1.2.17-1.fc23.noarch
mock-scm-1.2.17-1.fc23.noarch

[tn@localhost ~/tmp/mock-scm]
$ mock -r myconfig.cfg                   
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
ERROR: Exception occurred in preexec_fn.
Traceback (most recent call last):
  File "/usr/sbin/mock", line 849, in <module>
    main()
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 664, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 683, in run_command
    scmWorker.get_sources()
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/scm.py", line 83, in get_sources
    util.do(shlex.split(self.postget), shell=False, cwd=self.src_dir, env=os.environ)
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/util.py", line 504, in do
    preexec_fn=preexec,
  File "/usr/lib64/python3.4/subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.4/subprocess.py", line 1458, in _execute_child
    raise child_exception_type(err_msg)
subprocess.SubprocessError: Exception occurred in preexec_fn.
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.h5i1uoxk): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.h5i1uoxk'

[tn@localhost 1 ~/tmp/mock-scm]
$ ls -ld /tmp/mock-selinux-plugin.h5i1uoxk
-r--r--r--. 1 root root 417 Apr 17 18:10 /tmp/mock-selinux-plugin.h5i1uoxk
Comment 40 Tomáš Nechutný 2016-04-17 12:21:03 EDT
By the way, it also happens with SELinux in permissive mode.

[tn@localhost 1 ~/tmp/mock-scm]
$ ls -ldZ /tmp/mock-selinux-plugin.h5i1uoxk
-r--r--r--. 1 root root unconfined_u:object_r:user_tmp_t:s0 417 Apr 17 18:10 /tmp/mock-selinux-plugin.h5i1uoxk
Comment 41 Jonathan Underwood 2016-04-18 06:16:14 EDT
Re-opening per comment #39 and #40
Comment 42 Robert Van Voorhees 2016-05-02 13:07:53 EDT
This problem appears to be occurring on the COPR build system as well [1] on both Fedora 23 [2] and Fedora 24 [3]

[1] https://copr.fedorainfracloud.org/coprs/voor/nodejs-lts/build/182804/
[2] http://copr-dist-git.fedorainfracloud.org/per-task-logs/182804-f23.log
[3] http://copr-dist-git.fedorainfracloud.org/per-task-logs/182804-f24.log
Comment 43 Fedora End Of Life 2016-11-24 10:49:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 44 Fedora End Of Life 2016-12-20 14:06:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.